> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sale Types

> Retrieve a list of all available sale types.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /sale-types
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
paths:
  /sale-types:
    get:
      tags:
        - Sales
      summary: List Sale Types
      description: Retrieve a list of all available sale types.
      responses:
        '200':
          description: Sale types retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SaleType'
components:
  schemas:
    SaleType:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        system_type:
          type: string
          nullable: true
        channel:
          type: string
        service_charge_rate:
          type: number
          nullable: true
        payment_method:
          $ref: '#/components/schemas/PaymentMethod'
          nullable: true
    PaymentMethod:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        customer_required:
          type: integer
        is_system:
          type: integer
        balance:
          $ref: '#/components/schemas/Balance'
          nullable: true
    Balance:
      type: object
      properties:
        id:
          type: integer
        amount:
          type: number
        type:
          type: string
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````